package com.yizhi.wechat.application.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/**
 * 微信
 *
 * @author lingye
 */
@FeignClient(name = "wechat", contextId = "WeChatUserClient")
public interface WeChatUserClient {
    /**
     * 获取token
     *
     * @param weChatUserId
     * @param appId
     * @param agentId
     * @return
     */
    @GetMapping(value = "/wechat/token")
    Map<String, Object> getWeChatUserInfoToken(@RequestParam(name = "weChatUserId", required = true) String weChatUserId,
                                               @RequestParam(name = "appId", required = true) String appId,
                                               @RequestParam(name = "agentId", required = false) String agentId
    );

    /**
     * 自定义项目获取用户
     * @param weChatUserId 用户openId
     * @param appId appid
     * @param agentId
     * @param orgId 组织id
     * @return
     */
    @GetMapping(value = "/custom/project/token")
    Map<String, Object> getToken(@RequestParam(name = "weChatUserId", required = true) String weChatUserId,
                                 @RequestParam(name = "appId", required = true) String appId,
                                 @RequestParam(name = "agentId", required = false) String agentId,
                                 @RequestParam(name = "orgId", required = true) Long orgId
    );



}
