package com.yizhi.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author lilingye
 * @since 2018-04-29
 */
@Data
@Api(tags = "PublicPlatformConfig", description = "")
@TableName("public_platform_config")
public class PublicPlatformConfig extends Model<PublicPlatformConfig> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "唯一标识 主键")
    private Long id;

    @ApiModelProperty(value = "公众号名称")
    private String name;

    @ApiModelProperty(value = "公众号类型")
    private String type;

    @ApiModelProperty(value = "秘钥")
    @TableField("app_id")
    private String appId;

    @ApiModelProperty(value = "秘钥（公众号服务APPsecret和企业服务CorpSecret）")
    private String secret;

    @ApiModelProperty(value = "企业应用的id")
    @TableField("agent_id")
    private String agentId;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "0 不增加新用户, 1 增加新用户到系统")
    @TableField("is_added_user")
    private Integer isAddedUser;

    @ApiModelProperty(value = "是否删除 0未删除 1已删除")
    @TableField("is_deleted")
    private Integer isDeleted;

    @ApiModelProperty(value = "站点code")
    @TableField("site_code")
    private String siteCode;


    @ApiModelProperty(value = "企业code")
    @TableField("company_code")
    private String companyCode;


    @ApiModelProperty(value = "企业名称")
    @TableField("company_name")
    private String companyName;

    @ApiModelProperty(value = "站点名称")
    @TableField("site_name")
    private String siteName;

    @ApiModelProperty(value = "url")
    @TableField("url")
    private String url;

    @ApiModelProperty(value = "是否绑定开放平台")
    @TableField("open_platform_bind")
    private Integer openPlateFormBind;

    @ApiModelProperty(value = "开放品台名称")
    private String openPlatformName;

    @ApiModelProperty(value = "开放平台id")
    private String openPlatformId;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
