package com.yizhi.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 第三方应用suite_ticket 表
 * </p>
 *
 * @author lingye
 * @since 2020-08-05
 */
@Data
@Api(tags = "SuiteTicket", description = "第三方应用suite_ticket 表")
@TableName("suite_ticket")
public class SuiteTicket extends Model<SuiteTicket> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "suite_id")
    @TableField("suite_id")
    private String suiteId;

    @ApiModelProperty(value = "suiteticket")
    @TableField("suite_ticket")
    private String suiteTicket;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;

    @ApiModelProperty(value = "删除标记 1删除 0 未删除")
    private Integer deleted;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
