package com.yizhi.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author lilingye
 * @since 2018-04-29
 */
@Data
@Api(tags = "TrAccountUserinfo", description = "")
@TableName("tr_account_userinfo")
public class TrAccountUserinfo extends Model<TrAccountUserinfo> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键 唯一标识")
    private Long id;

    @ApiModelProperty(value = "用户id")
    @TableField("account_id")
    private Long accountId;

    @ApiModelProperty(value = "微信公众号服务id")
    private String wechatuserid;

    @ApiModelProperty(value = "站点Id")
    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty(value = "企业id")
    @TableField("company_id")
    private Long companyId;

    @ApiModelProperty(value = "用类型 0 普通微信公众号用户 1企业微信服务号用户")
    private Integer type;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "是否删除 0 未删除 1删除")
    @TableField("is_deleted")
    private Integer isDeleted;

    @TableField(value = "update_time", fill = FieldFill.UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "更新人的id")
    @TableField("update_by_id")
    private Long updateById;

    @ApiModelProperty(value = "创建人id")
    @TableField("create_by_id")
    private Long createById;

    @TableField(value = "union_id")
    private String unionId;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
