package com.yizhi.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.application.domain.UserInfo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author lilingye
 * @since 2018-04-29
 */
public interface UserInfoMapper extends BaseMapper<UserInfo> {
    /**
     * 修改用户头像和昵称根据wechatUserId
     *
     * @param nickname
     * @param headImgUrl
     * @param wechatUserId
     * @return
     */
    @Update("UPDATE user_info SET nickname =#{nickname} ,headimgurl = #{headImgUrl}  WHERE wechatuserid=#{wechatUserId}")
    boolean updateUserInfoByWeChatId(
            @Param("nickname") String nickname,
            @Param("headImgUrl") String headImgUrl,
            @Param("wechatUserId") String wechatUserId
    );

}
