package com.yizhi.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.application.domain.TrAccountUserinfo;
import com.yizhi.wechat.application.vo.wechat.TrAccountUserinfoVO;

/**
 * <p>
 * 服务类
 * </p>
 
 * @author lilingye
 * @since 2018-04-29
 */
public interface ITrAccountUserinfoService extends IService<TrAccountUserinfo> {
    /**
     * 绑定用户和未木云系统账号
     *
     * @param trAccountUserinfoVO
     * @return
     */
    TrAccountUserinfoVO saveAccount(TrAccountUserinfoVO trAccountUserinfoVO);

    /**
     * 查询用户绑定未木云系统账号的状态
     *
     * @param openId 用户唯一标识
     * @return
     */
    TrAccountUserinfo queryAccount(String openId);

    /**
     * 查询用户是否在站点内
     *
     * @param openId
     * @param companyId
     * @return
     */
    TrAccountUserinfo findAccount(String openId, Long companyId);

    /**
     * 判断用户是否存在绑定关系
     * @param trAccountUserInfo
     * @return
     */
    TrAccountUserinfo findBindWechat(TrAccountUserinfo trAccountUserInfo);

    /**
     * 修改关联关系
     *
     * @param trAccountUserinfo
     * @return
     */
    boolean updateTrAccountUserInfo(TrAccountUserinfo trAccountUserinfo);

    /**
     * 解绑用户
     * @param weChatUserId
     * @return
     */
    boolean unbindAccountByWeChatUserId(String weChatUserId);

    /**
     * 解绑用户
     * @param accountId
     * @return
     */
    boolean updateUserInfo(Long accountId,String wechatUserId);

    /**
     * 自动解绑用户
     * @param trAccountUserInfo
     * @return
     */
    boolean autoUnBindWeChatAccount(TrAccountUserinfo trAccountUserInfo);

}
